package com.example.qtbug86297nativeandroid;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.MotionEvent;

import static android.view.MotionEvent.ACTION_DOWN;
import static android.view.MotionEvent.ACTION_POINTER_DOWN;
import static android.view.MotionEvent.ACTION_POINTER_UP;
import static android.view.MotionEvent.ACTION_UP;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {

        // Log.d("onTouchEvent ", Integer.toString(event.getAction() & MotionEvent.ACTION_MASK ));

        switch(event.getAction() & MotionEvent.ACTION_MASK) {
            case ACTION_UP:
                Log.d("ACTION_UP", Integer.toString(ACTION_UP));
                Log.d("onTouchEvent device: ", event.getDevice().getName());
                Log.d("onTouchEvent X: ", Float.toString(event.getX()));
                Log.d("onTouchEvent Y: ", Float.toString(event.getY()));
                break;
            case ACTION_DOWN:
                Log.d("ACTION_DOWN", Integer.toString(ACTION_DOWN));
                Log.d("onTouchEvent device: ", event.getDevice().getName());
                Log.d("onTouchEvent X: ", Float.toString(event.getX()));
                Log.d("onTouchEvent Y: ", Float.toString(event.getY()));
                break;
            case ACTION_POINTER_DOWN:
                Log.d("ACTION_POINTER_DOWN", Integer.toString(ACTION_POINTER_DOWN));
                Log.d("onTouchEvent device: ", event.getDevice().getName());
                Log.d("onTouchEvent X: ", Float.toString(event.getX()));
                Log.d("onTouchEvent Y: ", Float.toString(event.getY()));
                break;
            case ACTION_POINTER_UP:
                Log.d("ACTION_POINTER_UP", Integer.toString(ACTION_POINTER_UP));
                Log.d("onTouchEvent device: ", event.getDevice().getName());
                Log.d("onTouchEvent X: ", Float.toString(event.getX()));
                Log.d("onTouchEvent Y: ", Float.toString(event.getY()));
                break;
            default:
                break;
        }
        return true;
    }
}